import React from "react";
import { withKnobs, select } from "@storybook/addon-knobs";
import Button, { ButtonSize } from "./";
export var allButtons = function allButtons() {
  return React.createElement(React.Fragment, null, React.createElement(Button, {
    size: ButtonSize.SM
  }, "Small button"), React.createElement("br", null), React.createElement(Button, {
    size: ButtonSize.LG
  }, "Large button"));
};
export var knobs = function knobs() {
  return React.createElement(Button, {
    size: select("Size", Object.keys(ButtonSize).map(function (key) {
      return ButtonSize[key];
    }))
  }, "Button");
};
knobs.story = {
  decorators: [withKnobs]
};
allButtons.story = {
  name: "All buttons"
};
export default {
  title: "Button",
  component: Button
};