import React from "react";
import { withKnobs, select } from "@storybook/addon-knobs";
import Button, { ButtonSize } from "./";

export const allButtons = () => (
  <>
    <Button size={ButtonSize.SM}>Small button</Button>
    <br />
    <Button size={ButtonSize.LG}>Large button</Button>
  </>
);

export const knobs = () => (
  <Button
    size={select("Size", Object.keys(ButtonSize).map(key => ButtonSize[key]))}
  >
    Button
  </Button>
);

knobs.story = {
  decorators: [withKnobs]
};

allButtons.story = {
  name: "All buttons"
};

export default {
  title: "Button",
  component: Button
};
