import styled, { css } from "styled-components";

export const SIZE = {
  SM: "SMALL",
  LG: "LARGE"
};

const initialize = css`
  background-color: transparent;
  border: none;
  cursor: pointer;
`;

const common = css`
  border: 2px solid #000;
  border-radius: 4px;
`;

const smallSize = css`
  padding: 8px 16px;
  font-size: 0.8rem;
`;

const largeSize = css`
  padding: 13px 20px;
`;

const getSizeStyle = size => {
  switch (size) {
    case SIZE.SM:
      return smallSize;
    case SIZE.LG:
      return largeSize;
    default:
      return "";
  }
};

export const StyledButton = styled.button`
  ${initialize}
  ${common}
  display: flex;
  justify-content: center;
  align-items: center;

  ${props => getSizeStyle(props.size)}
`;
